Python Error using Gdal commands under Raster menu in batch mode

2016-09-02 06:55 AM - stefano campus

Status: Closed

Priority: High

Assignee:

Category: Processing/GDAL

Affected QGIS version:2.16.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 23449

Description

When using a gdal command in raster menu in batch mode in order to process whole a python error occurs.

This affects translate and warp command

Windows 8

QGIS 2.16.2 via osgeo4W

Error message

2016-09-02T15:40:55    1    Traceback (most recent call last):

              File "C:/OSGeo4W/apps/qgis/./python/plugins\\GdalTools\\tools\\widgetBatchBase.py", line 73, in onRun

                self.batchRun()

              File "C:/OSGeo4W/apps/qgis/./python/plugins\\GdalTools\\tools\\doTranslate.py", line 306, in batchRun

                self.runItem(self.batchIndex, self.batchTotal)

              File "C:/OSGeo4W/apps/qgis/./python/plugins\\GdalTools\\tools\\widgetBatchBase.py", line 107, in runItem

                self.base.refreshArgs.emit(args)

            TypeError: GdalToolsBaseDialog.refreshArgs[] signal has 0 argument(s) but 1 provided

History

#1 - 2017-01-02 05:55 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#2 - 2017-01-05 12:08 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

gdatools has been removed (for qgis3) and we now need to focus on problems of the equivalent tools in Processing.
